<form class="form-container" [formGroup]="form" (ngSubmit)="send()">
  <div class="form-container__inner">
    <app-input
      [control]="getControl('country_name')"
      [name]="'Country'"
      [placeholder]="'Country name'"
    ></app-input>
    <app-input
      [control]="getControl('gross_domestic_product')"
      [name]="'GDP'"
      [placeholder]="'GDP'"
    ></app-input>
    <app-input
      [type]="'number'"
      [control]="getControl('population')"
      [name]="'Population'"
      [placeholder]="'Population'"
    ></app-input>
    <app-input
      [control]="getControl('currency')"
      [name]="'Currency'"
      [placeholder]="'Currency'"
    ></app-input>
    <app-input
      [control]="getControl('president')"
      [name]="'President'"
      [placeholder]="'President'"
    ></app-input>
    <app-input
      [type]="'number'"
      [control]="getControl('average_salary')"
      [name]="'Salary'"
      [placeholder]="'Average salary'"
    ></app-input>
    <app-button
      [disabled]="form.invalid"
      [specialFontSize]="'14px'"
      [specialBorderRadius]="'0px 10px 10px 0px'"
      [isVisible]="true"
      [specialButtonText]="'Save'"></app-button>
  </div>
  <app-textarea
    [control]="getControl('about')"
    [name]="'About'"
    [placeholder]="'Write here about this country...'"
  ></app-textarea>
</form>
